# Retrieve an organization

> Retrieve an organization by its identifier.

`GET /api/organizations/{id}`

Retrieves a Organization resource.

Returns a single organization by id, including its owners and members. You must be a member of the organization to read it.

## Path parameters

| Name | Type     | Required | Description             |
| ---- | -------- | -------- | ----------------------- |
| `id` | `string` | Yes      | Organization identifier |

## Response

**200** - The organization with its owners and members

| Property     | Type             | Required | Description |
| ------------ | ---------------- | -------- | ----------- |
| `@context`   | `object`         | -        |             |
| `@id`        | `string`         | Yes      |             |
| `@type`      | `string`         | Yes      |             |
| `id`         | `string \| null` | -        |             |
| `name`       | `string`         | -        |             |
| `created_at` | `string`         | -        |             |
| `updated_at` | `string`         | -        |             |
| `owners`     | `Member[]`       | -        |             |
| `members`    | `Member[]`       | -        |             |

## Errors

**403** - Forbidden

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

**404** - Not found

| Property   | Type             | Required | Description                                                                                                                          |
| ---------- | ---------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------ |
| `@context` | `object`         | -        |                                                                                                                                      |
| `@id`      | `string`         | Yes      |                                                                                                                                      |
| `@type`    | `string`         | Yes      |                                                                                                                                      |
| `title`    | `string \| null` | -        | A short, human-readable summary of the problem.                                                                                      |
| `detail`   | `string \| null` | -        | A human-readable explanation specific to this occurrence of the problem.                                                             |
| `status`   | `number \| null` | -        |                                                                                                                                      |
| `instance` | `string \| null` | -        | A URI reference that identifies the specific occurrence of the problem. It may or may not yield further information if dereferenced. |
| `type`     | `string`         | -        | A URI reference that identifies the problem type                                                                                     |

## Examples

### Example request

```bash
curl -X GET 'https://identity.flowkiwi.net/api/organizations/<organization_id>' \
  -H 'Authorization: Bearer {token}' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "@context": "/api/contexts/Organization",
  "@id": "/api/organizations/0196f3a0-1111-7000-8000-000000000001",
  "@type": "Organization",
  "id": "0196f3a0-1111-7000-8000-000000000001",
  "name": "Acme Corp",
  "created_at": "2026-01-15T09:30:00+00:00",
  "updated_at": "2026-01-20T14:05:00+00:00",
  "owners": [
    {
      "@id": "/api/members/0196f3a0-2222-7000-8000-000000000001",
      "@type": "Member",
      "id": "0196f3a0-2222-7000-8000-000000000001",
      "email": "jane@acme.example",
      "name": "Jane Doe",
      "role": "owner",
      "joined_at": "2026-01-15T09:30:00+00:00"
    }
  ],
  "members": []
}
```
